Subject: bug#59360: closed (Re: bug#59360: [PATCH] Highlight multiple symbols in single quotes in Common Lisp strings)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 12 Feb 2025 03:17:02 +0000

Your bug report

#59360: [PATCH] Highlight multiple symbols in single quotes in Common Lisp strings

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
59360: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=59360
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#59360: [PATCH] Highlight multiple symbols in single quotes in Common Lisp strings
From: Stefan Kangas <[email-masked]>
To: Thuna <[email-masked]>
Cc: [email-masked]
Date: Tue, 11 Feb 2025 19:16:29 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 31.1

Stefan Kangas <[email-masked]> writes:

> Thuna <[email-masked]> writes:
>
>>> Thanks.  Would it risk being confusing to highlight them in the same way
>>> as proper symbols, which also would have links?
>> I don't believe so, since it is already possible to have multiple
>> clashing meanings for symbols even without the glossary entry, for
>> example http://www.lispworks.com/documentation/HyperSpec/Body/a_string.htm.
>
> I would like to install the change, but where are we at with the
> copyright assignment?  I think we are above the limit for the number of
> contributions that we can accept from you without one, unfortunately.
>
> I see that you discussed that with Lars in Bug#56345 in September.
> Has there been any progress with that?

The copyright assignment is now done, so I installed this on master as
commit 32700f38fdd.

I'm therefore closing this bug report.

Subject: [PATCH] Highlight multiple symbols in single quotes in Common Lisp strings
From: Thuna <[email-masked]>
To: [email-masked]
Date: Fri, 18 Nov 2022 16:12:45 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Severity: wishlist

This is mostly useful for quoting Hyperspec glossary entries.  I only
patched it for Common Lisp to avoid possibly breaking help buffers for
elisp.

>From 9a22e65b102835244a3e529618cd1f1e735f5d60 Mon Sep 17 00:00:00 2001
From: Thuna <[email-masked]>
Date: Fri, 18 Nov 2022 15:56:38 +0100
Subject: [PATCH] Highlight multiple symbols in single quotes in Common Lisp
 strings

* lisp/emacs-lisp/lisp-mode.el (lisp-cl-font-lock-keywords-2): When
multiple space-delimited symbols are single quoted together (e.g "`foo
bar'"), highlight them.
---
 lisp/emacs-lisp/lisp-mode.el | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lisp/emacs-lisp/lisp-mode.el b/lisp/emacs-lisp/lisp-mode.el
index 7e39a77aed..1e1dbf3eb4 100644
--- a/lisp/emacs-lisp/lisp-mode.el
+++ b/lisp/emacs-lisp/lisp-mode.el
@@ -557,7 +557,7 @@ lisp-mode--search-key
          (,(concat "(" cl-errs-re "\\_>")
            (1 font-lock-warning-face))
          ;; Words inside ‘’ and `' tend to be symbol names.
-         (,(concat "[`‘]\\(" (rx lisp-mode-symbol) "\\)['’]")
+         (,(concat "[`‘]\\(" (rx (* lisp-mode-symbol (+ space)) lisp-mode-symbol) "\\)['’]")
           (1 font-lock-constant-face prepend))
          ;; Uninterned symbols, e.g., (defpackage #:my-package ...)
          ;; must come before keywords below to have effect
-- 
2.35.1